OpenTTD: src/network/network_content.h File Reference

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
network_content.h File Reference

Part of the network protocol handling content distribution. More...

`#include "core/tcp_content.h"`
`#include "core/tcp_http.h"`

Go to the source code of this file.

## Data Structures
struct | ContentCallback
| Callbacks for notifying others about incoming data. More...
class | ClientNetworkContentSocketHandler
| Socket handler for the content server connection. More...

## Typedefs
typedef SmallVector < ContentInfo *, 16 > | ContentVector
| Vector with content info.
typedef SmallVector< const ContentInfo *, 16 > | ConstContentVector
| Vector with constant content info.
typedef ContentInfo ** | ContentIterator
| Iterator for the content vector.
typedef const ContentInfo *const * | ConstContentIterator
| Iterator for the constant content vector.

## Functions
void | ShowNetworkContentListWindow (ContentVector *cv=NULL, ContentType type=CONTENT_TYPE_END)
| Show the content list window with a given set of content.
void | ShowMissingContentWindow (const struct GRFConfig *list)

## Variables
ClientNetworkContentSocketHandler | _network_content_client
| The client we use to connect to the server.

## Detailed Description

Part of the network protocol handling content distribution.

Definition in file network_content.h.

## Function Documentation

void ShowNetworkContentListWindow | ( | ContentVector * | cv,
|  | ContentType | type
| ) |  |

Show the content list window with a given set of content.

Parameters

  cv | the content to show, or NULL when it has to search for itself
  type | the type to (only) show

Definition at line 1072 of file network_content_gui.cpp.

References _network_content_client, _network_content_list_desc, SmallVector< T, S >::Begin(), ClientNetworkContentSocketHandler::Clear(), DeleteWindowById(), SmallVector< T, S >::End(), ClientNetworkContentSocketHandler::RequestContentList(), ShowErrorMessage(), WC_NETWORK_WINDOW, WL_ERROR, and WN_NETWORK_WINDOW_CONTENT_LIST.

Referenced by SelectGameWindow::OnClick(), SaveLoadWindow::OnClick(), AIConfigWindow::OnClick(), and ShowMissingContentWindow().

## Variable Documentation

ClientNetworkContentSocketHandler _network_content_client

The client we use to connect to the server.

Definition at line 35 of file network_content.cpp.

Referenced by BaseNetworkContentDownloadStatusWindow::BaseNetworkContentDownloadStatusWindow(), BootstrapAskForDownloadWindow::BootstrapAskForDownloadWindow(), NetworkContentListWindow::BuildContentList(), NetworkContentListWindow::DrawDetails(), NetworkBackgroundLoop(), NetworkContentListWindow::NetworkContentListWindow(), AIConfigWindow::OnClick(), ShowNetworkContentListWindow(), BaseNetworkContentDownloadStatusWindow::~BaseNetworkContentDownloadStatusWindow(), BootstrapAskForDownloadWindow::~BootstrapAskForDownloadWindow(), and NetworkContentListWindow::~NetworkContentListWindow().